<?xml version="1.0"?>
<!DOCTYPE remote_ui_xml>
<root name="interface">
  <TabWidget name="Main_TabWidget">
    <Tab name="dualshock3">
      <TabWidget name="dualshock3">
        <Tab name="Reglages">
          <GroupBox name="dualshock3">
            <SpinBox value="10" name="dead zone:"/>
            <Label name="batterie"/>
          </GroupBox>
          <GroupBox name="consignes joy">
            <DoubleSpinBox value="-20" name="debattement roll"/>
            <DoubleSpinBox value="-20" name="debattement pitch"/>
            <DoubleSpinBox value="90" name="debattement dyaw"/>
            <DoubleSpinBox value="-0.7" name="debattement dz"/>
            <DoubleSpinBox value="0" name="trim"/>
            <Label name="trim roll"/>
            <PushButton value="0" name="reset roll trim"/>
            <Label name="trim pitch"/>
            <PushButton value="0" name="reset pitch trim"/>
          </GroupBox>
          <GroupBox name="consignes fo">
            <DoubleSpinBox name="debattement x" value="-1"/>
            <DoubleSpinBox name="debattement y" value="1"/>
          </GroupBox>
        </Tab>
        <Tab name="Mesures">
          <DataPlot1D name="roll">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="pitch">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="yaw">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="gaz">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
        </Tab>
      </TabWidget>
    </Tab>
    <Tab name="motors">
      <TabWidget name="UavMultiplex">
        <Tab name="Setup">
          <GroupBox name="x4 multiplex">
            <ComboBox value="0" name="front left blade pitch:"/>
          </GroupBox>
          <GroupBox name="motor attribution">
            <ComboBox value="0" name="front left"/>
            <ComboBox value="1" name="front rigth"/>
            <ComboBox value="2" name="rear left"/>
            <ComboBox value="3" name="rear rigth"/>
            <ComboBox name="top front left" value="0"/>
            <ComboBox name="top front rigth" value="1"/>
            <ComboBox name="top rear left" value="2"/>
            <ComboBox name="top rear rigth" value="3"/>
            <ComboBox name="bottom front left" value="4"/>
            <ComboBox name="bottom front rigth" value="5"/>
            <ComboBox name="bottom rear left" value="6"/>
            <ComboBox name="bottom rear rigth" value="7"/>
          </GroupBox>
          <GroupBox name="bldc">
            <Label name="flight time"/>
            <DoubleSpinBox value="0.4" name="min value:"/>
            <DoubleSpinBox value="1" name="max value:"/>
            <DoubleSpinBox value="0.1" name="test value:"/>
            <PushButton value="0" name="test motor 0"/>
            <PushButton value="0" name="test motor 1"/>
            <PushButton value="0" name="test motor 2"/>
            <PushButton value="0" name="test motor 3"/>
            <PushButton name="test motor 4"/>
            <PushButton name="test motor 5"/>
            <PushButton name="test motor 6"/>
            <PushButton name="test motor 7"/>
          </GroupBox>
          <GroupBox name="simubldc">
            <DoubleSpinBox value="86" name="k driver:"/>
          </GroupBox>
          <GroupBox name="x8 multiplex">
            <ComboBox name="top front left blade pitch:" value="0"/>
          </GroupBox>
        </Tab>
        <Tab name="Values">
          <DataPlot1D name="front left" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="front right" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="rear left" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="rear right" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
        </Tab>
        <Tab name="Speeds">
          <DataPlot1D name="front left" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="front right" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="rear left" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="rear right" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
        </Tab>
      </TabWidget>
    </Tab>
    <Tab name="us">
      <TabWidget name="us">
        <Tab name="Reglages">
          <GroupBox name="us">
            <SpinBox value="50" name="data rate"/>
          </GroupBox>
          <GroupBox name="Passe bas">
            <DoubleSpinBox value="0" name="period, 0 for auto"/>
            <DoubleSpinBox value="5" name="cutoff frequency"/>
          </GroupBox>
          <GroupBox name="Vz">
            <DoubleSpinBox value="0" name="period, 0 for auto:"/>
          </GroupBox>
          <GroupBox name="Passe bas v">
            <DoubleSpinBox value="0" name="period, 0 for auto"/>
            <DoubleSpinBox value="5" name="cutoff frequency"/>
          </GroupBox>
        </Tab>
        <Tab name="Mesures">
          <DataPlot1D name="us" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="vz" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
        </Tab>
      </TabWidget>
    </Tab>
    <Tab name="imu">
      <TabWidget name="imu">
        <Tab name="Reglages">
          <GroupBox name="imu">
            <SpinBox value="200" name="data rate"/>
          </GroupBox>
          <GroupBox name="post rotation">
            <DoubleSpinBox value="0" name="value"/>
            <ComboBox value="0" name="axis"/>
          </GroupBox>
        </Tab>
        <Tab name="AHRS">
          <DataPlot1D name="roll" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="pitch" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="yaw" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="w_x" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="w_y" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="w_z" period="100" enabled="0">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
        </Tab>
      </TabWidget>
    </Tab>
    <Tab name="battery">
      <GroupBox name="battery">
        <Label name="battery"/>
        <DoubleSpinBox value="0" name="threshold"/>
      </GroupBox>
    </Tab>
    <Tab name="simu_cam_v">
      <TabWidget name="simu_cam_v">
        <Tab name="Setup">
          <GroupBox name="simu_cam_v">
            <SpinBox value="50" name="data rate"/>
          </GroupBox>
          <GridLayout name="setup">
            <GroupBox name="flux optique">
              <SpinBox value="64" name="max features:"/>
              <GroupBox name="post rotation">
                <DoubleSpinBox name="value" value="90"/>
                <ComboBox name="axis" value="2"/>
              </GroupBox>
            </GroupBox>
            <GroupBox name="passe bas">
              <DoubleSpinBox value="0" name="period, 0 for auto"/>
              <DoubleSpinBox value="1" name="cutoff frequency"/>
            </GroupBox>
          </GridLayout>
        </Tab>
        <Tab name="Picture">
          <Picture name="simu_cam_v">
            <Setup period="50" enabled="1"/>
          </Picture>
        </Tab>
      </TabWidget>
    </Tab>
    <Tab name="uav">
      <GridLayout name="buttons">
        <PushButton value="0" name="kill"/>
        <PushButton value="0" name="start_log"/>
        <PushButton value="0" name="stop_log"/>
        <PushButton value="1" name="take_off"/>
        <PushButton value="0" name="land"/>
      </GridLayout>
      <GroupBox name="takeoff/landing">
        <DoubleSpinBox value="1" name="desired takeoff altitude"/>
        <DoubleSpinBox value="0" name="desired landing altitude"/>
      </GroupBox>
      <GroupBox name="alt cons">
        <DoubleSpinBox value="0" name="period, 0 for auto:"/>
        <DoubleSpinBox value="0.5" name="velocity max (absolute):"/>
        <DoubleSpinBox value="0.2" name="acceleration (absolute):"/>
      </GroupBox>
    </Tab>
    <Tab name="control laws">
      <TabWidget name="laws">
        <Tab name="Setup">
          <GroupBox name="u_roll">
            <DoubleSpinBox value="15" name="sat ref:"/>
            <DoubleSpinBox value="5" name="kp:"/>
            <DoubleSpinBox value="100" name="sat dref:"/>
            <DoubleSpinBox value="0.1" name="kd:"/>
            <DoubleSpinBox value="0.5" name="sat u:"/>
          </GroupBox>
          <GroupBox name="u_pitch">
            <DoubleSpinBox value="15" name="sat ref:"/>
            <DoubleSpinBox value="5" name="kp:"/>
            <DoubleSpinBox value="100" name="sat dref:"/>
            <DoubleSpinBox value="0.1" name="kd:"/>
            <DoubleSpinBox value="0.5" name="sat u:"/>
          </GroupBox>
          <GroupBox name="u_yaw">
            <DoubleSpinBox value="0" name="period, 0 for auto"/>
            <DoubleSpinBox value="1" name="kp:"/>
            <DoubleSpinBox value="0" name="ki:"/>
            <DoubleSpinBox value="0" name="sat i:"/>
            <DoubleSpinBox value="0.1" name="kd:"/>
            <DoubleSpinBox value="0.2" name="sat:"/>
          </GroupBox>
          <GroupBox name="u_z">
            <DoubleSpinBox value="0" name="period, 0 for auto"/>
            <DoubleSpinBox value="0.3" name="kp:"/>
            <DoubleSpinBox value="0.2" name="ki:"/>
            <DoubleSpinBox value="0.5" name="sat i:"/>
            <DoubleSpinBox value="0.1" name="kd:"/>
            <DoubleSpinBox value="0.6" name="offset g:"/>
            <DoubleSpinBox value="1" name="sat:"/>
            <DoubleSpinBox value="0.0002" name="offset step:"/>
          </GroupBox>
          <GroupBox name="u_x">
            <DoubleSpinBox value="0" name="period, 0 for auto"/>
            <DoubleSpinBox value="0.03" name="kp:"/>
            <DoubleSpinBox value="0.020" name="ki:"/>
            <DoubleSpinBox value="0.2" name="sat i:"/>
            <DoubleSpinBox value="0.1" name="kd:"/>
            <DoubleSpinBox value="1" name="sat:"/>
          </GroupBox>
          <GroupBox name="u_y">
            <DoubleSpinBox value="0" name="period, 0 for auto"/>
            <DoubleSpinBox value="0.03" name="kp:"/>
            <DoubleSpinBox value="0.020" name="ki:"/>
            <DoubleSpinBox value="0.2" name="sat i:"/>
            <DoubleSpinBox value="0.1" name="kd:"/>
            <DoubleSpinBox value="1" name="sat:"/>
          </GroupBox>
        </Tab>
        <Tab name="Graphes">
          <DataPlot1D name="u_roll" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="u_pitch" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="u_yaw" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="u_z" period="100" enabled="0">
            <Setup period="100" enabled="0"/>
          </DataPlot1D>
          <DataPlot1D name="u_x" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
          <DataPlot1D name="u_y" period="100" enabled="1">
            <Setup period="100" enabled="1"/>
          </DataPlot1D>
        </Tab>
      </TabWidget>
    </Tab>
    <Tab name="flux optique">
      <DataPlot1D name="x_velocity" period="100" enabled="1">
        <Setup period="100" enabled="1"/>
      </DataPlot1D>
      <DataPlot1D name="y_velocity" period="100" enabled="1">
        <Setup period="100" enabled="1"/>
      </DataPlot1D>
    </Tab>
  </TabWidget>
  <TabWidget name="App_TabWidget">
    <Tab name="Drone_0">
      <PushButton name="save config on target" value="1"/>
    </Tab>
    <Tab name="Drone_0">
      <PushButton name="save config on target" value="1"/>
    </Tab>
  </TabWidget>
</root>
